<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript" src="${dataMap['action_url']}/get_script/${dataMap['partner_id']}/${dataMap['service_id']}"></script>

<script type="text/javascript">
	var ruruButton = new ruruButton();
	ruruButton.setAmount( 0 );
	ruruButton.setOrder( '${dataMap['order']}' );
	ruruButton.setTitle( 'Пополнить счёт' );
	ruruButton.setWidth( 750 );
	ruruButton.setHeight( 550 );
	ruruButton.setHash( '${dataMap['hash']}' );
	ruruButton.setQS();
</script>

<table class="tableFont tableWidth">
  <tr>
    <td style="padding: 0px;">
		<c:set var="paymentName" value="rurupay" scope="request" />
		<c:set var="paymentPayText" scope="request">Платежный сервис RuRu</c:set>
		<c:set var="paymentPayButton" scope="request"><div id="ruruDiv" style="margin: 5px 0px;"></div></c:set>
		<c:set var="paymentPaySum" scope="request" value=" "/>
		<c:set var="paymentFormHidden" scope="request" value="true"/>
		<jsp:include page="../include/payment_tabs.jsp"/>
		<jsp:include page="../include/payment_pay.jsp"/>
	</td>
	<td style="width: 20px;">&nbsp;</td>
    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
  </tr>
</table>

<div style="margin-top: 20px;">
	<form method="GET" action="" id="rurupayListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="status" value="${dataMap['status']}">
		<input type="hidden" name="month" value="${dataMap['month']}">
		<input type="hidden" name="year" value="${dataMap['year']}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth1024">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="rurupayListForm" month="${dataMap['period'].monthFrom}" year="${dataMap['period'].yearFrom}" ></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="rurupayListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	  </tr>
	</table>

	<table class="table tableFont tableWidth1024" style="border-radius: 20px;">
		<thead>
			<tr>
				<td>Номер</td>
				<td>Заказ</td>
				<td>Дата/время оплаты</td>
				<td>Сумма</td>
				<td>Статус операции</td>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['transactions']}">
			<c:forEach var="item" varStatus="status" items="${dataMap['transactions']}">
				<tr>
					<td>${item.id}</td>
					<td>${item.order}</td>
					<td><fmt:formatDate value="${item.transactionDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td>
					<td nowrap="nowrap">${item.sum}</td>
					<td><c:forEach var="statusItem" items="${dataMap['statusList']}"><c:if test="${item.status eq statusItem.code}">${statusItem.title}</c:if></c:forEach> <c:if test="${not empty item.cancelReasonString}">( ${item.cancelReasonString} )</c:if></td>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="6" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
</div>